<template>
  <div
    class="w-full min-w-[320px] flex flex-col gap-4 flex-[1_0_0]"
    :class="size === 'default' ? 'max-w-[752px] px-1 items-start' : 'max-w-[640px] px-10 justify-center'"
  >
    <div
      class="flex flex-col self-stretch"
      :class="size === 'default' ? 'gap-2 items-start' : 'gap-1'"
    >
      <div
        class="flex items-center gap-2 self-stretch"
        :class="size === 'default' ? '' : 'justify-center'"
      >
        <svn-pro-title
          :h4="size === 'default'"
          :h5="size === 'compact'"
          medium
        >
          {{ title }}
        </svn-pro-title>

        <Icon
          v-if='emoji'
          :icon="emoji"
          :height="size === 'compact' ? 24 :32"
          :width="size === 'compact' ? 24 :32"
        />
      </div>

      <svn-pro-title
        v-if="size === 'default' && subtitle"
        h6
        regular
        color="onSurfaceVariant"
        :class="size === 'default' ? '' : 'text-center'"
      >
        {{ subtitle }}
      </svn-pro-title>

      <svn-pro-text
        v-if="size === 'compact' && subtitle"
        subtitleLarge
        regular
        color="onSurfaceVariant"
        :class="size === 'default' ? '' : 'text-center'"
      >
        {{ subtitle }}
      </svn-pro-text>
    </div>

    <div
      v-if="interview || training || roadmap"
      class="flex"
      :class="size === 'default' ? 'justify-center gap-4' : 'gap-2 justify-center items-center flex-wrap'"
    >
      <svn-pro-info-tag
        v-if="interview"
        :text="interviewsSubmitted"
        tag-type="info"
        tag-style="filled"
        tag-size="default"
        leading-item="icon"
        icon="mingcute:chat-2-line"
        class="break-all"
      />

      <svn-pro-info-tag
        v-if="training"
        :text="modulesAcquired"
        tag-type="info"
        tag-style="filled"
        tag-size="default"
        leading-item="icon"
        icon="mingcute:book-6-line"
        class="break-all"
      />

      <svn-pro-info-tag
        v-if="roadmap"
        :text="currentTargets"
        tag-type="info"
        tag-style="filled"
        tag-size="default"
        leading-item="icon"
        icon="mingcute:target-line"
        class="break-all"
      />
    </div>
  </div>
</template>

<script setup>
import { Icon } from "@iconify/vue";
import SvnProInfoTag from "../../components/chip/SvnProInfoTag.vue";
import SvnProTitle from "../../components/styles/SvnProTitle.vue";
import SvnProText from "../../components/styles/SvnProText.vue";

const props = defineProps({
  title: {
    type: String,
    default: undefined,
  },
  subtitle: {
    type: String,
    default: undefined,
  },
  size: {
    type: String,
    default: "default",
  },
  emoji: {
    type: String,
    default: undefined,
  },
  interviewsSubmitted: {
    type: String,
    default: undefined,
  },
  modulesAcquired: {
    type: String,
    default: undefined,
  },
  currentTargets: {
    type: String,
    default: undefined,
  },
  interview: {
    type: Boolean,
    default: false,
  },
  training: {
    type: Boolean,
    default: false,
  },
  roadmap: {
    type: Boolean,
    default: false,
  },
})
</script>